Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeReport

All Known Subinterfaces:
  IExchangeReadReport

public interface IExchangeReport

The `IExchangeReport` interface represents messages that are used to report on events in the Exchange subsystem, such as `IExchangeReadReport` notices.

Field Summary
`static int` | `KEYID_ORIGINAL_DISPLAY_CC` The `int` ID for the `ORIGINAL_DISPLAY_CC` key.
`static int` | `KEYID_ORIGINAL_DISPLAY_TO` The `int` ID for the `ORIGINAL_DISPLAY_TO` key.
`static Key` | `ORIGINAL_DISPLAY_CC` Key that represents the represented messages CC field.
`static Key` | `ORIGINAL_DISPLAY_TO` Key that represents the represented messages TO field.

Method Summary
`java.lang.String` | `getOriginalCc()` Gets the CC field that was on the original message represented by this report.
`java.lang.String` | `getOriginalTo()` Gets the TO field that was on the original message represented by this report.

Field Detail

### KEYID_ORIGINAL_DISPLAY_TO

    public static final int KEYID_ORIGINAL_DISPLAY_TO

  The `int` ID for the `ORIGINAL_DISPLAY_TO` key.

  See Also:
    Constant Field Values

### KEYID_ORIGINAL_DISPLAY_CC

    public static final int KEYID_ORIGINAL_DISPLAY_CC

  The `int` ID for the `ORIGINAL_DISPLAY_CC` key.

  See Also:
    Constant Field Values

### ORIGINAL_DISPLAY_TO

    public static final Key ORIGINAL_DISPLAY_TO

  Key that represents the represented messages TO field.

### ORIGINAL_DISPLAY_CC

    public static final Key ORIGINAL_DISPLAY_CC

  Key that represents the represented messages CC field.

Method Detail

### getOriginalTo

    public java.lang.String getOriginalTo()
                                   throws CollaborationException

  Gets the TO field that was on the original message represented by this report.

  Returns:
    the represented message's TO field.
  Throws:
    `CollaborationException` - if there was an error getting the original TO field.
  See Also:
    `ORIGINAL_DISPLAY_TO`

### getOriginalCc

    public java.lang.String getOriginalCc()
                                   throws CollaborationException

  Gets the CC field that was on the original message represented by this report.

  Returns:
    the represented message's CC field.
  Throws:
    `CollaborationException` - if there was an error getting the original CC field.
  See Also:
    `ORIGINAL_DISPLAY_CC`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.